Package org.eclipse.emf.cdo.eresource.impl

## Class CDOResourceFactoryImpl

- java.lang.Object
- - org.eclipse.emf.cdo.eresource.impl.CDOResourceFactoryImpl

- All Implemented Interfaces:
    `CDOResourceFactory`, `org.eclipse.emf.ecore.resource.Resource.Factory`

      public class CDOResourceFactoryImpl
      extends java.lang.Object
      implements CDOResourceFactory

  Creates default `CDOResource` instances.
  Author:
    Eike Stepper
  No Extend
    This class is not intended to be subclassed by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory

      `org.eclipse.emf.ecore.resource.Resource.Factory.Descriptor, org.eclipse.emf.ecore.resource.Resource.Factory.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOResourceFactory` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOResourceFactoryImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CDOResourceImpl` | `createCDOResource​(org.eclipse.emf.common.util.URI uri)` |
    `org.eclipse.emf.ecore.resource.Resource` | `createResource​(org.eclipse.emf.common.util.URI uri)` |
    `java.util.Set<java.lang.String>` | `getResourceSetClassNames()` |
    `protected boolean` | `isGetResource()` | TODO Add TCs to ensure that Ecore internally doesn't change the way the stack is used!!!

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final CDOResourceFactory INSTANCE

      Since:
        4.0

  - ### Constructor Detail

    - #### CDOResourceFactoryImpl

          public CDOResourceFactoryImpl()

  - ### Method Detail

    - #### getResourceSetClassNames

          public java.util.Set<java.lang.String> getResourceSetClassNames()

      Since:
        4.2

    - #### createResource

          public org.eclipse.emf.ecore.resource.Resource createResource​(org.eclipse.emf.common.util.URI uri)

      Specified by:
        `createResource` in interface `org.eclipse.emf.ecore.resource.Resource.Factory`

    - #### createCDOResource

          protected CDOResourceImpl createCDOResource​(org.eclipse.emf.common.util.URI uri)

      Since:
        4.0

    - #### isGetResource

          protected boolean isGetResource()

      TODO Add TCs to ensure that Ecore internally doesn't change the way the stack is used!!!
      Since:
        3.0